package com.zoo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zoo.entity.Admin;
import com.zoo.mapper.AdminMapper;
import com.zoo.service.IAdminService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author DJ
 * @since 2024-05-17
 */
@Service
public class AdminServiceImpl extends ServiceImpl<AdminMapper, Admin> implements IAdminService {

    @Override
    public Admin selectById(int roleId) {
        QueryWrapper<Admin> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("roleId",roleId);
        return this.getOne(queryWrapper);
    }
}
